<?php
defined('_JEXEC') or die('Restricted acccess');

require_once(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'project.php');
require_once(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'projectfield.php');
require_once(JPATH_COMPONENT.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'form.php');

class F2cSampleDataHelper
{
	function install()
	{
		$user 			= JFactory::getUser();
		$contentType1 	= new Form2ContentModelProject();
		$fieldIds		= array();	
		$templatebase 	= JPATH_SITE.'/media/com_form2content/templates/';
		$samplebase 	= JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'sample_data'.DIRECTORY_SEPARATOR;
	
		JFile::copy($samplebase . 'intro_template_simple_article_example.tpl', $templatebase .'intro_template_simple_article_example.tpl');
		JFile::copy($samplebase . 'main_template_simple_article_example.tpl', $templatebase .'main_template_simple_article_example.tpl');
		
		$rules = array();
		$rules['core.create'] = array();
		$rules['core.delete'] = array();
		$rules['core.edit'] = array();
		$rules['core.edit.state'] = array();

		$rulesForm = array();
		$rulesForm['core.delete'] = array();
		$rulesForm['core.edit'] = array();
		$rulesForm['core.edit.state'] = array();
		
		$metadata = array();
		$metadata['robots'] = '';
		$metadata['author'] = '';
		$metadata['rights'] = '';
		$metadata['xreference'] = '';
		
		$attribs = array();
		$attribs['show_title']= '';
		$attribs['link_titles']= ''; 
		$attribs['show_intro']= ''; 
		$attribs['show_category']= ''; 
		$attribs['link_category']= ''; 
		$attribs['show_parent_category']= ''; 
		$attribs['link_parent_category']= '';
		$attribs['show_author']= ''; 
		$attribs['link_author']= ''; 
		$attribs['show_create_date']= ''; 
		$attribs['show_modify_date']= ''; 
		$attribs['show_publish_date']= ''; 
		$attribs['show_item_navigation']= ''; 
		$attribs['show_icons']= ''; 
		$attribs['show_print_icon']= ''; 
		$attribs['show_email_icon']= ''; 
		$attribs['show_vote']= ''; 
		$attribs['show_hits']= ''; 
		$attribs['show_noauth']= ''; 
		$attribs['alternative_readmore']= ''; 
		$attribs['article_layout']= '';
		
		$settings = array();
		$settings['article_caption'] = ''; 
		$settings['title_front_end'] = 1; 
		$settings['title_caption'] = 'Simple article Title'; 
		$settings['title_default'] = 'Simple article example - default title'; 
		$settings['title_alias_front_end'] = 1; 
		$settings['title_alias_caption'] = '';
		$settings['frontend_templsel'] = 1; 
		$settings['intro_template'] = 'intro_template_simple_article_example.tpl'; 
		$settings['main_template'] = 'main_template_simple_article_example.tpl'; 
		$settings['frontend_pubsel'] = 1;
				
		$data = array();
		$data['id'] = 0;
		$data['title'] = 'Simple article example';
		$data['metakey'] = 'This is the default meta keyword field. Change this in the content type configuration';
		$data['metadesc'] = 'This is the default meta description. Change this in the content type configuration.';
		$data['published'] = 1;
		$data['created_by'] = $user->id; 
		$data['created'] = ''; 
		$data['modified'] = ''; 
		$data['rules'] = $rules;
		$data['metadata'] = $metadata;
		$data['attribs'] = $attribs;
		$data['settings'] = $settings;
		
		$contentType1->save($data);
		$contentType1Id = $contentType1->getState('project.id');
		
		$fieldIds[$contentType1Id] = array();
		
		// Insert the ContentType Fields
		self::createSimpleArticleExampleFields($fieldIds, $contentType1Id);
		// Create the form and add the data
		self::createSimpleArticleExampleForm($contentType1Id, $fieldIds[$contentType1Id], $rulesForm, $attribs, $metadata);
	}
	
	private function createSimpleArticleExampleFields(&$fieldIds, $contentTypeId)
	{
		// Insert fields in reversed order to get the correct ordering.
		// Single select 'Show article information' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['ssl_display_mode'] = '0';
		$fldSettings['ssl_show_empty_choice_text'] = '0';
		$fldSettings['ssl_empty_choice_text'] = '';
		$fldSettings['ssl_options'] = array();
		$fldSettings['ssl_options']['1'] = 'Yes';
		$fldSettings['ssl_options']['2'] = 'No';
		
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'joomla_information';
		$data['title'] = 'Show article information';
		$data['description'] = 'This is an option to display some extra article information at the bottom ... just because we can.';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_SINGLESELECTLIST;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 				
		
		// Info text 'Joomla information' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['inf_text'] = 'This is an option to display some extra Joomla article information at the bottom of the article ... just because we can. In the template you can see the Smarty conditional code used.';
		
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'joomla_info';
		$data['title'] = '';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_INFOTEXT;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Single line text 'Reference' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
				
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'reference';
		$data['title'] = 'Reference';
		$data['description'] = 'Text box with default value in template';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_SINGLELINE;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Image field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['img_max_width'] = '200';
		$fldSettings['img_max_height'] = '200';
		$fldSettings['img_output_mode'] = '0';
		
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'image';
		$data['title'] = 'Image';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_IMAGE;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Multi Line Editor 'Main Article' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
				
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'main';
		$data['title'] = 'Article main';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_MULTILINEEDITOR;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Info text 'Main information' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['inf_text'] = 'SHOW or HIDE the read more function automatically. If no content is submitted in the field below (main article), there will be NO \'read more\' button in Joomla blog layouts. This is realised by templating. Please see the template for more details.';
		
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'main_info';
		$data['title'] = '';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_INFOTEXT;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Multi Line Text 'Article Intro' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['mlt_max_num_chars'] = '250';
				
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'intro';
		$data['title'] = 'Article intro';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_MULTILINETEXT;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
		
		// Info text 'Form information' field
		$fld = new Form2ContentModelProjectField();
		
		$fldSettings = array();
		$fldSettings['inf_text'] = 'We have created this form example so you can experience some of the powerful features of Form2Content Lite. The content of this form is combined with the template to create your Joomla article.';
		
		$data = array();
		$data['projectid'] = $contentTypeId;
		$data['fieldname'] = 'form_info';
		$data['title'] = '';
		$data['description'] = '';
		$data['frontvisible'] = 1;
		$data['fieldtypeid'] = F2C_FIELDTYPE_INFOTEXT;
		$data['settings'] = $fldSettings;
		
		$fld->save($data, false);
		$fieldIds[$contentTypeId][$data['fieldname']] = $fld->getState('projectfield.id'); 
	}
	
	private function createSimpleArticleExampleForm($contentTypeId, $fieldIds, $rules, $attribs, $metadata)
	{
		$user	=	JFactory::getUser();
		$form 	= new Form2ContentModelForm();
		
		$data = array();
		$data['id'] = 0;
		$data['projectid'] = $contentTypeId;
		$data['title'] = 'Demo simple article example';
		$data['alias'] = '';
		$data['intro_template'] = 'intro_template_simple_article_example.tpl';
		$data['main_template'] = 'main_template_simple_article_example.tpl';
		$data['state'] = 0;
		$data['catid'] = self::_getDefaultCategory();
		$data['created'] = '';
		$data['created_by'] = $user->id;
		$data['created_by_alias'] = '';
		$data['modified'] = '';
		$data['publish_up'] = '';
		$data['publish_down'] = '';
		$data['metakey'] = 'This is the default meta keyword field . Change this in the content type configuration';
		$data['metadesc'] = 'This is the default meta description. Change this in the content type configuration';
		$data['access'] = 1;
		$data['language'] = '*';
		$data['featured'] = 0;
		$data['rules'] = $rules;
		$data['attribs'] = $attribs;
		$data['metadata'] = $metadata;
		$data['saveFormOnly'] = true;
		
		$form->save($data);
		
		$fieldDefinitions = $form->loadFieldDefinitions($contentTypeId);
		
		$fieldData = array();
		
		foreach($fieldDefinitions as $fieldDefinition)
		{
			$f2cFieldData 								= new F2cFieldData();
			$f2cFieldData->id 							= $fieldDefinition->id;
			$f2cFieldData->fieldtypeid 					= $fieldDefinition->fieldtypeid;
			$f2cFieldData->title 						= $fieldDefinition->title;
			$f2cFieldData->fieldname 					= $fieldDefinition->fieldname;
			$f2cFieldData->ordering 					= $fieldDefinition->ordering;
			$f2cFieldData->frontvisible 				= $fieldDefinition->frontvisible;				
			$f2cFieldData->settings 					= $fieldDefinition->settings;
			$f2cFieldData->projectid					= $fieldDefinition->projectid;
			$f2cFieldData->internal['fieldcontentid'] 	= null;
			
			switch($f2cFieldData->fieldname)
			{
				case 'joomla_information':
					$f2cFieldData->values['VALUE'] = '1';
					break;
					case 'reference':
					$f2cFieldData->values['VALUE'] = 'Open Source Design';
					break;
				case 'image':
					$f2cFieldData->internal['method'] 			= 'copy';
					$f2cFieldData->internal['delete'] 			= null;
					$f2cFieldData->internal['currentfilename']	= null;
					$f2cFieldData->internal['imagelocation']	= JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'sample_data'.DIRECTORY_SEPARATOR.'osd_logo.gif';
					$f2cFieldData->internal['thumblocation']	= JPATH_COMPONENT_ADMINISTRATOR.DIRECTORY_SEPARATOR.'sample_data'.DIRECTORY_SEPARATOR.'osd_logo_thumb.gif';					
					$f2cFieldData->values['FILENAME']			= 'osd_logo.gif';
					$f2cFieldData->values['ALT']				= 'Logo Open Source Design';
					$f2cFieldData->values['TITLE']				= 'Logo Open Source Design';	
					break;
				case 'main':
					$f2cFieldData->values['VALUE'] = '<p>This is the <strong>main text</strong> of your article with <em>mark-up</em></p>';
					break;
				case 'intro':
					$f2cFieldData->values['VALUE'] = 'This is the intro text of your article';
					break;
			}
			
			$fieldData[$f2cFieldData->fieldname] = $f2cFieldData;
		}
		
		$storage = new F2cStorage($form->getState('form.id'), true);		
		$storage->preparedData = $fieldData;
		$storage->storeFields($fieldDefinitions);		
	}

	function _getDefaultCategory()
	{
		$db 	= JFactory::getDbo();		
		$query	= $db->getQuery(true);
		
		$query->select('id');
		$query->from('#__categories');
		$query->where('extension = \'com_content\' AND published = 1');
		
		$db->setQuery($query->__toString(), 0, 1);
		
		return $db->loadResult();
	}
	
	function _getDefaultArticle()
	{
		$db 	= JFactory::getDbo();		
		$query	= $db->getQuery(true);
		
		$query->select('id');
		$query->from('#__content');
		$query->where('state = 1');
		
		$db->setQuery($query->__toString(), 0, 1);
		
		return $db->loadResult();		
	}	
}
?>