﻿<?php
defined('_JEXEC') or die('Restricted acccess');

/**
 * Script file of Form2Content component
 */
class com_Form2ContentInstallerScript
{
        /**
         * method to run before an install/update/uninstall method
         *
         * @return void
         */
        function preflight($type, $parent) 
        {
        	$joomlaVersionRequired = '3.1.5';
        	
        	if(!$this->checkJoomlaVersion($joomlaVersionRequired))
        	{
        		JFactory::getApplication()->enqueueMessage(sprintf(JText::_('COM_FORM2CONTENT_JOOMLA_VERSION_TOO_LOW'), $joomlaVersionRequired), 'error');
        		return false;
        	}
        	
		 	if(!(extension_loaded('gd') && function_exists('gd_info')))
		 	{
		 		JFactory::getApplication()->enqueueMessage(JText::_('COM_FORM2CONTENT_GDI_NOT_INSTALLED'), 'warning');
		 	}
        	
        	return true;
        }
	
    /**
     * method to install the component
     *
     * @return void
     */
    function install($parent) 
    {
		$path = JPATH_SITE . '/images/stories/com_form2content';
		
		if(!JFolder::exists($path))
		{
			JFolder::create($path, 0775);
		}

		$path = JPATH_SITE . '/media/com_form2content/templates';

		if(!JFolder::exists($path))
		{
			JFolder::create($path, 0775);
		}
		
		$path = JPATH_SITE . '/media/com_form2content/documents';
		
		if(!JFolder::exists($path))
		{
			JFolder::create($path, 0775);
		}	    
		?>	
		<div align="left">
		<img src="../media/com_form2content/images/OSD_logo.png" width="350" height="180" border="0">
		<h2><?php JText::_('COM_FORM2CONTENT_WELCOME_TO_F2C'); ?></h2>
		<p>&nbsp;</p>	
		<p><strong><?php echo JText::_('COM_FORM2CONTENT_INSTALL_SAMPLE_DATA_QUESTION'); ?></strong></p>
		<p><?php echo JText::_('COM_FORM2CONTENT_INSTALL_SAMPLE_DATA_RECOMMEND'); ?></p>
		<p>
			<button class="btn btn-large btn-success" onclick="location.href='index.php?option=com_form2content&task=projects.installsamples';return false;" href="#">
				<i class="icon-apply icon-white"></i>
				<?php echo JText::_('COM_FORM2CONTENT_YES_INSTALL_SAMPLE_DATA'); ?>
			</button>
			<button class="btn btn-large btn-danger" onclick="location.href='index.php?option=com_form2content';return false;" href="#">
				<i class="icon-apply icon-white"></i>
				<?php echo JText::_('COM_FORM2CONTENT_NO_DO_NOT_INSTALL_SAMPLE_DATA'); ?>
			</button>
		</p>
		</div>
		<?php        	
        }
 
        /**
     * method to uninstall the component
     *
     * @return void
     */
    function uninstall($parent) 
    {
    }
 
        /**
     * method to update the component
     *
     * @return void
     */
        function update($parent) 
        {
        	$db = JFactory::getDBO();
        	
        	// Add missing fields
			$sql = 'INSERT INTO #__f2c_fieldtype (`id`, `description`) SELECT 9, \'Hyperlink\' FROM #__f2c_fieldtype Where id = 9 HAVING COUNT(*) = 0';
			$db->setQuery($sql);
			$db->execute();
			
			// add missing columns (release 4.6.0)
			$db->setQuery('SHOW COLUMNS FROM #__f2c_project LIKE \'images\'');
			
			if(!$db->loadResult())
			{
				$db->setQuery('ALTER TABLE #__f2c_project ADD COLUMN `images` TEXT NOT NULL  AFTER `metadesc`');
				$db->execute();
				$db->setQuery('ALTER TABLE #__f2c_project ADD COLUMN `urls` TEXT NOT NULL  AFTER `images`');
				$db->execute();
			}
			
			// Remove the sectionid column
			$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'sectionid\'');
			
			if($db->loadResult())
			{
				$db->setQuery('ALTER TABLE #__f2c_form DROP COLUMN `sectionid`');
				$db->execute();
			}
			
			// add extended column (release 5.2.0)
			$db->setQuery('SHOW COLUMNS FROM #__f2c_form LIKE \'extended\'');
			
			if(!$db->loadResult())
			{
				$db->setQuery('ALTER TABLE #__f2c_form ADD COLUMN `extended` TEXT NOT NULL  AFTER `language`');
				$db->execute();
			}
        }
 
   /**
     * method to run after an install/update/uninstall method
     *
     * @return void
     */
    function postflight($type, $parent) 
    {
    }
	
    private function checkJoomlaVersion($versionNumber)
    {
    	$version = new JVersion();
    	return $version->isCompatible($versionNumber);
    }
}
?>